ScriptWriterParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ScriptWriterParserInternal::State Struct Reference

Internal: the state of a ScriptWriterParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_documentType
| the document type: 0: advanced, 1: normal, 2: dual More...
MWAWFont | m_defaultFont
| the default font More...
int | m_lineSpacing
| the default line spacing More...
int | m_lineSpacingPercent [2]
| the default line spacing percent More...
int | m_leftMargins [6]
| the left margin positions More...
int | m_columnSepPos
| the column separator position More...
int | m_columnOriginPos
| the second column left margin More...
bool | m_hasTitlePage
| a flag to know if the first page is a title page More...
std::vector< ScriptWriterParserInternal::Page > | m_pages
| the pages list More...
MWAWEntry | m_mainZoneEntry
| the main zone entry More...
HFData | m_hfData [2]
| the header/footer data More...
std::vector< MWAWTabStop > | m_tabs [2]
| the left/right columns tabulations More...

## Detailed Description

Internal: the state of a ScriptWriterParser.

## Constructor & Destructor Documentation

## ◆ State()

ScriptWriterParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int ScriptWriterParserInternal::State::m_actPage

the actual page

## ◆ m_columnOriginPos

int ScriptWriterParserInternal::State::m_columnOriginPos

the second column left margin

## ◆ m_columnSepPos

int ScriptWriterParserInternal::State::m_columnSepPos

the column separator position

## ◆ m_defaultFont

MWAWFont ScriptWriterParserInternal::State::m_defaultFont

the default font

## ◆ m_documentType

int ScriptWriterParserInternal::State::m_documentType

the document type: 0: advanced, 1: normal, 2: dual

## ◆ m_hasTitlePage

bool ScriptWriterParserInternal::State::m_hasTitlePage

a flag to know if the first page is a title page

## ◆ m_hfData

HFData ScriptWriterParserInternal::State::m_hfData[2]

the header/footer data

## ◆ m_leftMargins

int ScriptWriterParserInternal::State::m_leftMargins[6]

the left margin positions

Referenced by State().

## ◆ m_lineSpacing

int ScriptWriterParserInternal::State::m_lineSpacing

the default line spacing

## ◆ m_lineSpacingPercent

int ScriptWriterParserInternal::State::m_lineSpacingPercent[2]

the default line spacing percent

Referenced by State().

## ◆ m_mainZoneEntry

MWAWEntry ScriptWriterParserInternal::State::m_mainZoneEntry

the main zone entry

## ◆ m_numPages

int ScriptWriterParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_pages

std::vector<ScriptWriterParserInternal::Page> ScriptWriterParserInternal::State::m_pages

the pages list

## ◆ m_tabs

std::vector<MWAWTabStop> ScriptWriterParserInternal::State::m_tabs[2]

the left/right columns tabulations

The documentation for this struct was generated from the following file:

- ScriptWriterParser.cxx